public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz
@ 2024-05-13  5:26 srinuvasan.a
  2024-05-13  5:27 ` Jan Kiszka
  2024-05-13  6:47 ` MOESSBAUER, Felix
  0 siblings, 2 replies; 12+ messages in thread
From: srinuvasan.a @ 2024-05-13  5:26 UTC (permalink / raw)
  To: isar-users; +Cc: jan.kiszka, ubely, srinuvasan

From: srinuvasan <srinuvasan.a@siemens.com>

By default initrd compressed with zstd tool, with the present bullseye base image
of amd64 the initrd size is almost 27MB, this can be reduced with the help of xz tool,
using this one the generated initrd size is almost 18MB, we saved almost 9MB.

Signed-off-by: srinuvasan <srinuvasan.a@siemens.com>
---
 meta-isar/conf/local.conf.sample               |  2 +-
 .../compress-initrd/compress-initrd.bb         | 18 ++++++++++++++++++
 .../compress-initrd/files/postinst             |  5 +++++
 3 files changed, 24 insertions(+), 1 deletion(-)
 create mode 100644 meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
 create mode 100644 meta-isar/recipes-initramfs/compress-initrd/files/postinst

diff --git a/meta-isar/conf/local.conf.sample b/meta-isar/conf/local.conf.sample
index 17455015..ac8b749e 100644
--- a/meta-isar/conf/local.conf.sample
+++ b/meta-isar/conf/local.conf.sample
@@ -149,7 +149,7 @@ CONF_VERSION = "1"
 
 #
 # The default list of extra packages to be installed.
-IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt"
+IMAGE_INSTALL = "hello-isar example-raw example-module-${KERNEL_NAME} enable-fsck isar-exclude-docs samefile hello isar-disable-apt-cache cowsay example-prebuilt compress-initrd"
 
 #
 # Machines with secure boot should use signed modules.
diff --git a/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
new file mode 100644
index 00000000..21e28782
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/compress-initrd.bb
@@ -0,0 +1,18 @@
+# Compress the initrd with better compression tool
+#
+# This software is a part of ISAR.
+
+DESCRIPTION = "Compress the initrd with better compression tool"
+MAINTAINER = "Your name here <you@domain.com>"
+
+inherit dpkg-raw
+
+DEBIAN_DEPENDS = "linux-image-${KERNEL_NAME}, xz-utils, initramfs-tools"
+
+SRC_URI = " \
+    file://postinst \
+"
+do_install() {
+    install -v -d "${D}/etc/initramfs-tools/conf.d/"
+    echo "COMPRESS=xz" > "${D}/etc/initramfs-tools/conf.d/${PN}.conf"
+}
diff --git a/meta-isar/recipes-initramfs/compress-initrd/files/postinst b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
new file mode 100644
index 00000000..0db52142
--- /dev/null
+++ b/meta-isar/recipes-initramfs/compress-initrd/files/postinst
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+update-initramfs -c -k all
-- 
2.39.2


^ permalink raw reply	[flat|nested] 12+ messages in thread

end of thread, other threads:[~2024-07-18 11:36 UTC | newest]

Thread overview: 12+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-05-13  5:26 [PATCH] recipes-initramfs/compress-initrd: add recipe to compress initrd with xz srinuvasan.a
2024-05-13  5:27 ` Jan Kiszka
2024-05-13  5:47   ` Srinuvasan Arjunan
2024-05-13  6:29     ` Jan Kiszka
2024-05-13  6:47 ` MOESSBAUER, Felix
2024-05-13  9:41   ` [PATCH v1] " srinuvasan.a
2024-05-30  5:49     ` Uladzimir Bely
2024-05-30  5:52       ` Srinuvasan Arjunan
2024-05-31  7:35     ` Jan Kiszka
2024-04-17 13:43       ` [PATCH V3] " srinuvasan.a
2024-07-08  9:44         ` Srinuvasan Arjunan
2024-07-18 11:36           ` Srinuvasan Arjunan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox